Build #3 for bookkeeping-jp-0.1.1.3

[all reports]

Package bookkeeping-jp-0.1.1.3
Install DependencyFailed bookkeeping-jp-0.1.1.3
Docs NotTried
Tests NotTried
Time submitted 2018-03-27 17:29:49.89538576 UTC
Compiler ghc-8.2.2
OS linux
Arch x86_64
Dependencies base-4.10.1.0, bookkeeping-0.4.0.0, mono-traversable-1.0.8.1, text-1.2.2.2, time-1.8.0.2
Flags none

Build log

[view raw]

Resolving dependencies...
Configuring vector-algorithms-0.7.0.1...
Building vector-algorithms-0.7.0.1...
Installed vector-algorithms-0.7.0.1
Configuring mono-traversable-1.0.8.1...
Building mono-traversable-1.0.8.1...
Installed mono-traversable-1.0.8.1
Configuring transaction-0.1.1.2...
Building transaction-0.1.1.2...
Failed to install transaction-0.1.1.2
Build log ( /home/builder/.cabal/logs/ghc-8.2.2/transaction-0.1.1.2-6nA90lvwg5ZGOpRrWcJSWk.log ):
cabal: Entering directory '/tmp/cabal-tmp-2710/transaction-0.1.1.2'
Configuring transaction-0.1.1.2...
Preprocessing library for transaction-0.1.1.2..
Building library for transaction-0.1.1.2..
[1 of 1] Compiling Data.Transaction ( src/Data/Transaction.hs, dist/build/Data/Transaction.o )

src/Data/Transaction.hs:211:17: error:
    • Variable not in scope: length :: Transaction a -> Int
    • Perhaps you meant ‘olength’ (imported from Data.MonoTraversable)
      Perhaps you want to remove ‘length’ from the explicit hiding list
      in the import of ‘Prelude’ (src/Data/Transaction.hs:(35,1)-(57,3)).
    |
211 |   lengthIndex = length
    |                 ^^^^^^
cabal: Leaving directory '/tmp/cabal-tmp-2710/transaction-0.1.1.2'
cabal: Error: some packages failed to install:
bookkeeping-0.4.0.0-sD0RmmT1MW1rtau5OCgDz depends on bookkeeping-0.4.0.0 which
failed to install.
bookkeeping-jp-0.1.1.3-3A6VoJLzuiiGh3pwG4OK4I depends on
bookkeeping-jp-0.1.1.3 which failed to install.
transaction-0.1.1.2-6nA90lvwg5ZGOpRrWcJSWk failed during the building phase.
The exception was:
ExitFailure 1